import 'package:json_annotation/json_annotation.dart';

part 'talk_settings.g.dart';

@JsonSerializable()
class TalkSettings {
  bool sortFavoritesToTop;
  bool sortUnreadToTop;
  Map<String, String> drafts;
  Map<String, int> draftReplies;

  TalkSettings({
    required this.sortFavoritesToTop,
    required this.sortUnreadToTop,
    required this.drafts,
    required this.draftReplies,
  });

  factory TalkSettings.fromJson(Map<String, dynamic> json) =>
      _$TalkSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$TalkSettingsToJson(this);
}
